#ifndef COLLISIONS_H
#define COLLISIONS_H

int insect(float x1, float y1, float x2, float y2, 
           float x3, float y3, float x4, float y4);
int bb_col(int x1, int y1, int bx1, int by1, int x2, int y2, int bx2, int by2);
int ln_col(int x1, int y1, int x2, int y2, int x, int bx, int y, int by);
int in_rng(int x1, int x2, int d);
int in_scp(int y1, int y2, int d);

#endif